package org.logical_paradox.rss.router.algorithm;

/**
 * AllocationException
 * 分配に失敗した場合の結果を保持する
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.2 $
 */
public class AllocationException extends Exception {
	/** シリアルバージョンUID */
	private static final long serialVersionUID = -1275078488505634167L;
	private final String _nodeId;

	/**
	 * コンストラクタ．
	 */
	public AllocationException() {
		super();
		_nodeId = null;
	}
	/**
	 * コンストラクタ．
	 * @param msg メッセージ
	 */
	public AllocationException(String msg) {
		super(msg);
		_nodeId = null;
	}
	/**
	 * コンストラクタ．
	 * @param msg メッセージ
	 * @param nodeId ノードID
	 */
	public AllocationException(String msg, String nodeId) {
		_nodeId = nodeId;
	}
	/**
	 * ノードIDを返す．
	 * @return ノードID
	 */
	public String getNodeId() {
		return _nodeId;
	}
}
